Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 411195 - net-irc/xchat-2.8.8-r2 fails to build with >=glib-2.31
Summary: net-irc/xchat-2.8.8-r2 fails to build with >=glib-2.31
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: http://sourceforge.net/tracker/?func=...
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-07 21:04 UTC by Alexandre Rostovtsev (RETIRED)
Modified: 2012-04-12 21:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for building with >=glib-2.31 (xchat-2.8.8-glib-2.31.patch,1.70 KB, patch)
2012-04-07 21:04 UTC, Alexandre Rostovtsev (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-04-07 21:04:29 UTC
Created attachment 308161 [details, diff]
patch for building with >=glib-2.31

Building xchat with glib-2.32.0 results in the following error:

In file included from ../xchat.h:3:0,
                 from dbus-client.c:24:
/usr/include/glib-2.0/glib/gslist.h:28:2: error: #error "Only <glib.h> can be included directly."
In file included from ../xchat.h:4:0,
                 from dbus-client.c:24:
/usr/include/glib-2.0/glib/glist.h:28:2: error: #error "Only <glib.h> can be included directly."
In file included from ../xchat.h:5:0,
                 from dbus-client.c:24:
/usr/include/glib-2.0/glib/gutils.h:28:2: error: #error "Only <glib.h> can be included directly."
In file included from ../xchat.h:6:0,
                 from dbus-client.c:24:
/usr/include/glib-2.0/glib/giochannel.h:28:2: error: #error "Only <glib.h> can be included directly."
In file included from ../xchat.h:7:0,
                 from dbus-client.c:24:
/usr/include/glib-2.0/glib/gstrfuncs.h:28:2: error: #error "Only <glib.h> can be included directly."
/bin/sh ../../../libtool --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=native -O2 -pipe -Wall -Wno-pointer-sign -funsigned-char    -I/usr/include/freetype2    -Wl,--as-needed -Wl,-O1 -o example example.o -pthread -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lglib-2.0   -lX11  -lssl -lcrypto   -ldl -Wl,--export-dynamic -pthread -lrt -lglib-2.0   
make[5]: *** [dbus-client.o] Error 1


The patch by Dominique Leuenberger in xchat's bug tracker (http://sourceforge.net/tracker/?func=detail&aid=3446968&group_id=239&atid=100239) fixes the issue.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2012-04-12 21:01:07 UTC
+  12 Apr 2012; Lars Wendler <polynomial-c@gentoo.org> -xchat-2.8.8-r1.ebuild,
+  xchat-2.8.8-r2.ebuild, +files/xchat-2.8.8-glib-2.31.patch:
+  Fixed compilation with >=dev-libs/glib-2.31. Thanks to Alexandre Rostovtsev
+  (tetromino) for filing bug #411195 and providing a working patch.
+